> For the complete documentation index, see [llms.txt](https://docs.nosto.com/ugc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/ugc/api-docs/javascript/onsite-widgets-nextgen/introduction.md).

# Introduction

{% hint style="warning" %}
You are reading the **NextGen Documentation**

**NextGen widgets** are a new and improved way to display UGC content onsite.&#x20;

From September 23rd 2025, all new widgets created will be NextGen.

Please check your widget version on the **Widget List page** to see if it is a **Classic** or **NextGen** widget.

You can read the [Classic Widget Documentation](/ugc/api-docs/javascript/widgets.md) here.
{% endhint %}

The new **NextGen Widgets** are designed to deliver faster, more engaging onsite experiences. With a focus on performance and flexibility, they bring:

* **Improved onsite performance** for quicker load times and smoother interactions.
* **Modern, responsive templates** that align with today’s eCommerce design standards.
* **Enhanced video capabilities**, making it easier to showcase rich, shoppable content.

To help you get started:

* Explore the [**API Documentation**](https://widget-ui.stackla.com/docs/index.html) for technical details.
* Use the [**Practical Guides**](https://docs.nosto.com/ugc/guides/widgets-nextgen) to learn how to build and customize NextGen Widgets for your store.

NextGen Widgets are built to help you create immersive customer journeys while ensuring your site remains fast and conversion-focused.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nosto.com/ugc/api-docs/javascript/onsite-widgets-nextgen/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
